Skip to content
41 lines (35 sloc) 916 Bytes
sudo: false
language: node_js
node_js:
- "0.10"
- "0.12"
- 4
- 5
- 6
env:
global:
- SAUCE_USERNAME: karmarunnerbot
- secure: "bRVY+hYZwMf1SqVnMyZRJTLD0gN1hLx9/MwO8MM/qBiu3YNjXy49XElfMdzMKN6cZeKTmhcnjmZonbJuI1PQ2t+utGkyjnlVLJ/OlWptreKLzIlcbt4hrdPoTcjmUTwDWq9Ex9cVoYX8AzCasETttpczp3P+s3+vmOUj8z25JyU="
- CXX=g++-4.8
include:
- node_js: "5"
env: VALIDATE_COMMIT_MSG=TRUE
before_install:
- npm config set loglevel warn
- g++-4.8 --version
- npm install -g npm
addons:
firefox:
"latest"
apt:
sources:
- ubuntu-toolchain-r-test
packages:
- g++-4.8
before_script:
- export DISPLAY=:99.0
- sh -e /etc/init.d/xvfb start
- npm run init
- export $(openssl aes-256-cbc -pass env:CREDENTIALS_PASS -d -in credentials)
script:
- 'if [ "${VALIDATE_COMMIT_MSG}" != "TRUE" ]; then npm run travis; else ./scripts/validate-commit-msg.sh "${TRAVIS_COMMIT}"; fi'
Something went wrong with that request. Please try again.